%if 0%{?suse_version}
%define daemon_group www
%define repodir %_sysconfdir/zypp/repos.d
%define httpconfdir %_sysconfdir/apache2/conf.d
%else
%define daemon_group apache
%define repodir %_sysconfdir/yum.repos.d
%define httpconfdir %_sysconfdir/httpd/conf.d
%endif

Summary: op5 System Addons package configuration.
Name: op5-system-addons
Version: 6.2.2
Release: op5.1
Epoch: 1
Group: op5/system-addons
License: op5 Software License
Prefix: %repodir
Source0: %name-%version.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}
BuildArch: noarch
Requires: op5license
Obsoletes: op5-system-release-addons < 6.1
Provides: op5-system-release-addons = 6.1

%description
op5-system-addons contain yum configuration for the op5 System
addons yum repository.

%package -n op5-mysql
Summary: empty dummy package that depends on mysql and needed packages
Group: op5/system-addons
%if 0%{?suse_version}
Requires: mysql
Requires: mysql-client
Requires: php53-mysql
Requires: python-mysql
%else
Requires: mysql-server
Requires: php-mysql
Requires: MySQL-python
%endif
Provides: op5-monitor-supported-database

%description -n op5-mysql
This is an empty package that satisfies the dependencies of op5's
database backed packages.

%package -n op5-oracle
Summary: empty dummy package that depends on oracle
Group: op5/system-addons
Requires: oracle-instantclient11.2-basic
Requires: php-oci8
Provides: op5-monitor-supported-database

%description -n op5-oracle
This is an empty package that satisfies the dependencies of op5's
database backed packages.

%package -n op5-httpd
Summary: empty dummy package that depends either on httpd or apache2 based on vendor
Group: op5/system-addons
%if "%{_vendor}" == "redhat"
Requires: httpd
Requires: php-common
Requires: mod_ssl
Requires: php
%else
Requires: apache2
Requires: apache2-mod_php53
Requires: apache2-prefork
Requires: php53
%endif
Provides: op5-monitor-supported-webserver

%description -n op5-httpd
This is an empty dummy package that statisfies the dependencies of op5's
webserver depending packages.

%if 0%{?rhel}
%package -n op5-epel-beta-repo-config
Summary: op5 Epel beta yum repo configuration
Group: op5/System-addons

%description -n op5-epel-beta-repo-config
op5-epel-beta-repo-config contains yum configuration for op5's
public beta repositories. This is intended for beta-testing
customers and internal beta-testing system.
%endif

%prep
%setup -q

%install
rm -rf %buildroot
mkdir -p -m 755 %buildroot%repodir

for src in %{?suse_version:zypp/}*.repo; do
	install -m 664 $src %buildroot%repodir/$(basename $src)
	install -m 664 $src %buildroot%repodir/$(basename $src).new
done

install -d %buildroot%_docdir/op5-mysql-%{version}
install README.op5-monitor-supported-databases %buildroot%_docdir/op5-mysql-%{version}/README

install -d %buildroot%_docdir/op5-oracle-%{version}
install README.op5-monitor-supported-databases %buildroot%_docdir/op5-oracle-%{version}/README

install -d %buildroot%_docdir/op5-httpd-%{version}
install README.op5-monitor-supported-webservers %buildroot%_docdir/op5-httpd-%{version}/README
install -d %buildroot%httpconfdir
install op5-httpd-rewrite-rule.conf %buildroot%httpconfdir/op5-rewrite-rule.conf

%post
mv %repodir/op5-system-addons.repo.new %repodir/op5-system-addons.repo || :
%if 0%{?suse_version}
mv %repodir/op5-sles-extras.repo.new %repodir/op5-sles-extras.repo || :
%else
mv %repodir/op5-epel.repo.new %repodir/op5-epel.repo || :
%endif

if [ -f /opt/op5sys/bin/op5license-repo-config.sh ]; then
	/opt/op5sys/bin/op5license-repo-config.sh %repodir/op5-system-addons.repo
%if 0%{?suse_version}
	/opt/op5sys/bin/op5license-repo-config.sh %repodir/op5-sles-extras.repo
%else
	/opt/op5sys/bin/op5license-repo-config.sh %repodir/op5-epel.repo
%endif
fi

%post -n op5-mysql
%if 0%{?suse_version}
chkconfig mysql on
if ! service mysql status; then
service mysql start
fi
%else
chkconfig mysqld on
if ! service mysqld status; then
service mysqld start
fi
%endif

%post -n op5-httpd
%if "%{_vendor}" == "redhat"
if [ $1 -eq 1 ]; then
	system_timezone=$(cat /etc/sysconfig/clock 2>/dev/null |grep ZONE| cut -d"=" -f 2|sed 's/"//g'|sed 's|/|\\\/|g')
	if [ "x$system_timezone" == "x" ];then
		echo "Couldn't figure out system timezone, you must set this manually"
	else
		php_timezone=$(grep -e "^[[:space:]]*date.timezone" /etc/php.ini)
		if [ "x$php_timezone" == "x" ]; then
			grep -q -e "^[[:space:];]*date.timezone" /etc/php.ini
			if [ $? -eq 0 ]; then
				sed -i "s/\(^[[:space:];]*date.timezone.*\)/\1\ndate.timezone = \"$system_timezone\"/g" /etc/php.ini
			elif [ $? -eq 1 ]; then
				sed -i "s/\(^\[Date\]\)/\1\ndate.timezone = \"$system_timezone\"/g" /etc/php.ini
			fi
		fi
	fi
fi
chkconfig httpd on

if ! service httpd status; then
	service httpd start
fi
%else
if [ ! -e /etc/apache2/vhosts.d/vhost-ssl.conf ]; then
	cp /etc/apache2/vhosts.d/vhost-ssl.template  /etc/apache2/vhosts.d/vhost-ssl.conf
fi
if [[ ! -e /etc/apache2/ssl.crt/server.crt || ! $(grep -q SKIPME /etc/apache2/ssl.crt/server.crt) ]]; then
	pushd /usr/share/doc/packages/apache2/
	./mkcert.sh make --no-print-directory /usr/bin/openssl /usr/sbin/ dummy
	popd
fi
a2enflag SSL
a2enmod rewrite
chkconfig apache2 on
service apache2 restart
%endif

%if 0%{?rhel}
%post -n op5-epel-beta-repo-config
mv %repodir/op5-epel-public-beta.repo.new %repodir/op5-epel-public-beta.repo || :
test -x /opt/op5sys/bin/op5license-repo-config.sh && \
	/opt/op5sys/bin/op5license-repo-config.sh %repodir/op5-epel-public-beta.repo
%endif

%files
%defattr(-, root, %daemon_group)
%repodir/op5-*

%files -n op5-mysql
%defattr(-, root, root)
%doc %_docdir/op5-mysql-%{version}/README

%files -n op5-oracle
%defattr(-, root, root)
%doc %_docdir/op5-oracle-%{version}/README

%files -n op5-httpd
%defattr(-, root, root)
%doc %_docdir/op5-httpd-%{version}/README
%httpconfdir/op5-rewrite-rule.conf

%if 0%{?rhel}
%files -n op5-epel-beta-repo-config
%defattr(-, root, root)
%repodir/op5-epel-public-beta.*
%endif

%clean
rm -rf %buildroot

